Topic: unable to rebuild sqlite2 package

Hi,
I'm trying to rebuild the sqlite2 package but the binary package never gets written. The build process ends like this:

[dennis@localhost SPECS]$ rpmbuild -ba --define "rhel 5" sqlite2-remi.spec
...
mkdir -p doc
mv index.html sqlite.html changes.html lang.html opcode.html arch.html arch.png vdbe.html c_interface.html mingw.html tclsqlite.html download.html speed.html faq.html formatchng.html conflict.html omitted.html datatypes.html quickstart.html fileformat.html nulls.html doc
+ exit 0
Checking for unpackaged file(s): /usr/lib/rpm/check-files /var/tmp/sqlite2-2.8.17-3-root-dennis
Wrote: /home/dennis/rpmbuild/SRPMS/sqlite2-2.8.17-3.src.rpm
[dennis@localhost SPECS]$

The SRPM gets written but nothing else. Also a few lines above that the following happens:

cat ./src/attach.c ./src/auth.c ./src/btree.c ./src/btree.h ./src/btree_rb.c ./src/build.c ./src/copy.c ./src/date.c ./src/delete.c ./src/encode.c ./src/expr.c ./src/func.c ./src/hash.c ./src/hash.h ./src/insert.c ./src/main.c ./src/os.c ./src/pager.c ./src/pager.h ./src/parse.y ./src/pragma.c ./src/printf.c ./src/random.c ./src/select.c ./src/shell.c ./src/sqlite.h.in ./src/sqliteInt.h ./src/table.c ./src/tclsqlite.c ./src/tokenize.c ./src/trigger.c ./src/update.c ./src/util.c ./src/vacuum.c ./src/vdbe.c ./src/vdbeaux.c ./src/vdbe.h ./src/where.c | grep '$Id: ' | sort +4 | tail -1 \
          | awk '{print $5,$6}' >last_change
sort: open failed: +4: No such file or directory
grep: write error: Broken pipe

The "sort +4" syntax doesn't seem to be valid. Not sure if that is the reason for the lack of binary packages though.

Regards,
  Dennis

Re: unable to rebuild sqlite2 package

Why don't you use the available binary RPM ?

I never use directly rpmbuild, but the mock command which ensure a "sane" build environment.

+

P.S. :
sqlite2-2.8.17-2 builds fine under EL5
sqlite2-2.8.17-3 was an old patched version for fedora 9 and can't build under EL5

Laptop:  Fedora 40 + rpmfusion + remi (SCL only)
x86_64 builder: Fedora 39 + rpmfusion + remi-test
aarch64 builder: RHEL 9 with EPEL
Hosting Server: AlmaLinux 8 with EPEL, rpmfusion, remi

Re: unable to rebuild sqlite2 package

Remi wrote:

Why don't you use the available binary RPM ?

I'm trying to setup my own repo but right now some of the packages would collide with your repo. Eventually I want to get to a point where that repo can coexist with other repos though.

Remi wrote:

I never use directly rpmbuild, but the mock command which ensure a "sane" build environment.

I plan to look into this eventually as well but so far rpmbuild has served me well.

Remi wrote:

P.S. :
sqlite2-2.8.17-2 builds fine under EL5
sqlite2-2.8.17-3 was an old patched version for fedora 9 and can't build under EL5

I only paid attention to the version number but now that you mention this I can see from the mtime of the srpms that the -2 is actually newer than the -3 one and I successfully could build the -2 one. Thanks!

Regards,
  Dennis